DtSearchSetMaxResults(library call)

NAME
DtSearchSetMaxResults — Set the DtSearch maximum results value

SYNOPSIS

#include &<Dt/Search.h>
void DtSearchSetMaxResults(
int max);

DESCRIPTION

The results list returned from DtSearchQuery will be truncated to a maximum number of items after search completion and statistical ranking. DtSearchSetMaxResults changes the maximum results setting to max.

If DtSearchSetMaxResults is never called, the maximum number of DtSrResult items returned will default to 20.

The function can be called any time after DtSearchInit().

ARGUMENTS

max Specifies the maximum number of items in the list returned from DtSearchQuery.

RELATED

DtSrAPI(3), DtSearchGetMaxResults(3), DtSearchQuery(3)